Subject: Re: Duplicate invocation of NF_INET_POST_ROUTING rule for outbound multicast?

From: Florian Westphal <[email-masked]>
Date: Sat, 2 Nov 2024 17:12:17 +0100

[email-masked] <[email-masked]> wrote:
> Thanks for the quick reply; I will work through our build process and try to get that tested in the next few days.
> 
> I was thinking the fix for this might be more substantial; call NF_HOOK without a callback at the top of ip_mc_output to determine the fate of the packet,

The NF_QUEUE verdict can delegate this decision to a userspace process,
if this happened its too late to do the clone.

So this would work only if we had a way to remove support for NF_QUEUE
for multicast packets.  I don't think this can be done after two
decades.